{% set comma = joiner(",") %}
{
    "server": {{ (consul_mode == 'server')|lower }},
    "datacenter": "{{ consul_dc_name }}",
    "data_dir": "{{ consul_data_dir }}",

    "log_level": "INFO",
    "enable_syslog": true,

    "disable_remote_exec": true,

    "encrypt": "{{ consul_cluster_encrypt_key }}",
    "encrypt_verify_incoming": true,
    "encrypt_verify_outgoing": true,

    "retry_join": [ {{ consul_retry_join }} ]
}
